Page MenuHomePhabricator

[Task] Add common predicates to completion
Closed, ResolvedPublic

Description

It would be nice to add common predicates and names to the completion, such as:

  • rdfs:label
  • schema:description
  • wikibase:rank
  • wikibase:Property

etc. The list can be based on what we have in https://www.mediawiki.org/wiki/Wikibase/Indexing/RDF_Dump_Format
We don't have to have all those but at least ones that used in https://www.mediawiki.org/wiki/Wikibase/Indexing/SPARQL_Query_Examples may be helpful.

Event Timeline

Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptApr 23 2016, 12:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Smalyshev triaged this task as Normal priority.Apr 23 2016, 12:51 AM
Smalyshev moved this task from All WDQS-related tasks to GUI on the Wikidata-Query-Service board.
Jonas renamed this task from Add common predicates to completion to [Task] Add common predicates to completion.Apr 25 2016, 11:22 AM

Change 285169 had a related patch set uploaded (by Jonas Kress (WMDE)):
Add common predicates to completion

https://gerrit.wikimedia.org/r/285169

Change 285169 merged by jenkins-bot:
Add common predicates to completion

https://gerrit.wikimedia.org/r/285169

Jonas closed this task as Resolved.May 9 2016, 9:10 AM